Bug 83247 - Forced OSR exits should lead to recompilation based on count, not rate
Summary: Forced OSR exits should lead to recompilation based on count, not rate
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2012-04-04 22:05 PDT by Filip Pizlo
Modified: 2012-04-08 13:47 PDT (History)
0 users

See Also:


Attachments
work in progress (17.14 KB, patch)
2012-04-04 22:09 PDT, Filip Pizlo
no flags Details | Formatted Diff | Diff
the patch (26.72 KB, patch)
2012-04-04 22:43 PDT, Filip Pizlo
ggaren: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Filip Pizlo 2012-04-04 22:05:28 PDT
Patch forthcoming.

<rdar://problem/10720925>
Comment 1 Filip Pizlo 2012-04-04 22:09:56 PDT
Created attachment 135755 [details]
work in progress

32-bit code not done.  Putting up for EWS anyway.
Comment 2 Filip Pizlo 2012-04-04 22:43:59 PDT
Created attachment 135757 [details]
the patch
Comment 3 Geoffrey Garen 2012-04-05 08:13:18 PDT
Comment on attachment 135757 [details]
the patch

r=me
Comment 4 Filip Pizlo 2012-04-08 13:47:29 PDT
Landed in http://trac.webkit.org/changeset/113552